TOP=cabal v2-run justin-site

all:
	cabal v2-build

check:
	$(TOP) check

preview:
	$(TOP) rebuild && (cd _site; python -m http.server)

deploy:
	$(TOP) rebuild && $(TOP) deploy

install:
	opam update && opam install bibtex2html
	gem update --system && gem install compass

clean:
	cabal v2-clean
